package com.privas.application.dto;

import java.util.ArrayList;
import java.util.List;

public class TreeData {
    private String label;
    private String value;
    private List<TreeData> children;

    public TreeData() {
        this.children = new ArrayList<>();
    }

    public boolean isLeaf() {
        return value != null && !value.isEmpty();
    }

    public String getLabel() {
        return label;
    }

    public void setLabel(String label) {
        this.label = label;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }

    public List<TreeData> getChildren() {
        return children;
    }

    public void setChildren(List<TreeData> children) {
        this.children = children;
    }
}
