package com.privas.application.services;

import java.util.ArrayList;
import java.util.List;

public class Generalization {

    private String name;
    private String alias;
    private List<GeneralizationNode> generalizationNodes;

    public Generalization(String name) {
        this.name = name;
        generalizationNodes = new ArrayList<>();
    }

    public Generalization(String name, String alias) {
        this(name);
        this.alias = alias;
    }

    public void add(GeneralizationNode node) {
        generalizationNodes.add(node);
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getAlias() {
        return alias;
    }

    public void setAlias(String alias) {
        this.alias = alias;
    }

    public List<GeneralizationNode> getGeneralizationNodes() {
        return generalizationNodes;
    }

    public void setGeneralizationNodes(List<GeneralizationNode> generalizationNodes) {
        this.generalizationNodes = generalizationNodes;
    }
}
