package com.privas.application.services;

import java.util.ArrayList;
import java.util.List;

public class GeneralizationNodeSetValues extends GeneralizationNode {

    public List<String> values;

    public GeneralizationNodeSetValues(GeneralizationNode parent, String label) {
        super(parent, label, true);

        this.values = new ArrayList<>();
    }

    public void add(String value) {
        this.values.add(value);
    }

    public String toString() {
        StringBuilder stringBuilder = new StringBuilder();

        stringBuilder.append("{");

        stringBuilder.append(String.join(",", values));

        stringBuilder.append("}");

        return stringBuilder.toString();
    }
}
