package com.privas.application.services;

import java.util.Map;

public class TableToPrivateDetails {
    private String tableName;
    private AttributesOptions attributesOptions;

    public TableToPrivateDetails() {
        this.tableName = "";
    }

    public String getTableName() {
        return tableName;
    }

    public void setTableName(String tableName) {
        this.tableName = tableName;
    }

    public AttributesOptions getAttributesOptions() {
        return attributesOptions;
    }

    public void setAttributesOptions(AttributesOptions attributesOptions) {
        this.attributesOptions = attributesOptions;
    }

    public void calculateAttributesGeneralizations(Map<String, Generalization> generalizations) {
        attributesOptions.calculateGeneralizations(generalizations);
    }

    @Override
    public String toString() {
        return "TableToPrivateDetails{" +
                "tableName='" + tableName + '\'' +
                ", attributesToPrivate=" + this.attributesOptions.getAttributesToPrivate() +
                ", attributesToShow=" + this.attributesOptions.getAttributesToShow() +
                ", attributeToHide=" + this.attributesOptions.getAttributesToHide() +
                '}';
    }
}


