package com.privas.application.dto;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;

import java.util.List;

@JsonInclude(JsonInclude.Include.NON_NULL)
public class PrivasLData {
    private Repository repository;
    private PrivacyTechniquesDefinition privacyDefinition;
    private List<Entity> entities;
    private List<Tree> generalizationTrees;

    public PrivasLData() {
    }

    public Repository getRepository() {
        return repository;
    }

    public void setRepository(Repository repository) {
        this.repository = repository;
    }

    public PrivacyTechniquesDefinition getPrivacyDefinition() {
        return privacyDefinition;
    }

    public void setPrivacyDefinition(PrivacyTechniquesDefinition privacyDefinition) {
        this.privacyDefinition = privacyDefinition;
    }

    public List<Entity> getEntities() {
        return entities;
    }

    public void setEntities(List<Entity> entities) {
        this.entities = entities;
    }

    public List<Tree> getGeneralizationTrees() {
        return generalizationTrees;
    }

    public void setGeneralizationTrees(List<Tree> generalizationTrees) {
        this.generalizationTrees = generalizationTrees;
    }
}
