package com.privas.application.services;

import java.util.Map;

public class Attribute {
    private String name;
    private String type;
    private boolean isId;
    private boolean isQId;
    private boolean isSA;

    public Attribute(String name, boolean isId, boolean isQId, boolean isSA) {
        this.name = name;
        this.isId = isId;
        this.isQId = isQId;
        this.isSA = isSA;
    }

    public String getName() {
        return name;
    }

    public String getType() {
        return type;
    }

    public boolean isId() {
        return isId;
    }

    public boolean isQId() {
        return isQId;
    }

    public boolean isSA() {
        return isSA;
    }

    public boolean hasType() {
        return type != null;
    }

    public void setType(String type) {
        this.type = type;
    }

    public void calculateGeneralization(Map<String, Generalization> generalizations) {
        if (type != null) {
            this.type = generalizations.get(this.type).getName();
        }
    }
}
