// Generated from Privas.g4 by ANTLR 4.1

    package com.privas.data.grammar;

    import java.util.*;
    import com.privas.application.services.*;

import org.antlr.v4.runtime.atn.*;
import org.antlr.v4.runtime.dfa.DFA;
import org.antlr.v4.runtime.*;
import org.antlr.v4.runtime.misc.*;
import org.antlr.v4.runtime.tree.*;
import java.util.List;
import java.util.Iterator;
import java.util.ArrayList;

@SuppressWarnings({"all", "warnings", "unchecked", "unused", "cast"})
public class PrivasParser extends Parser {
	protected static final DFA[] _decisionToDFA;
	protected static final PredictionContextCache _sharedContextCache =
		new PredictionContextCache();
	public static final int
		T__24=1, T__23=2, T__22=3, T__21=4, T__20=5, T__19=6, T__18=7, T__17=8, 
		T__16=9, T__15=10, T__14=11, T__13=12, T__12=13, T__11=14, T__10=15, T__9=16, 
		T__8=17, T__7=18, T__6=19, T__5=20, T__4=21, T__3=22, T__2=23, T__1=24, 
		T__0=25, PLUS=26, NAME=27, NUM=28, STRING_LITERAL=29, TAB=30, SPACE=31, 
		ENTER=32, WINDOWSENTER=33;
	public static final String[] tokenNames = {
		"<INVALID>", "'as'", "'Path:'", "'{'", "'::'", "'Relational'", "'}'", 
		"'='", "'^'", "'CSV'", "'Prevent from:'", "'&'", "'tableLinkage'", "'recordLinkage'", 
		"'*'", "'Connection String:'", "','", "'probabilisticAttack'", "':'", 
		"'['", "'<'", "']'", "'>'", "'~'", "'attributeLinkage'", "'@'", "'+'", 
		"NAME", "NUM", "STRING_LITERAL", "TAB", "' '", "'\n'", "'\r\n'"
	};
	public static final int
		RULE_privas = 0, RULE_repositoryOptions = 1, RULE_relationalRepositoryOptions = 2, 
		RULE_csvRepositoryOptions = 3, RULE_dataDescription = 4, RULE_entities = 5, 
		RULE_entity = 6, RULE_attributeList = 7, RULE_attribute = 8, RULE_attributeValue = 9, 
		RULE_attributeTree = 10, RULE_privacyOptions = 11, RULE_attackModelList = 12, 
		RULE_attackModel = 13, RULE_attackModelName = 14, RULE_attackModelParameters = 15, 
		RULE_generalizationTrees = 16, RULE_generalizationTreeHeader = 17, RULE_generalizationTree = 18, 
		RULE_setOfValues = 19, RULE_range = 20;
	public static final String[] ruleNames = {
		"privas", "repositoryOptions", "relationalRepositoryOptions", "csvRepositoryOptions", 
		"dataDescription", "entities", "entity", "attributeList", "attribute", 
		"attributeValue", "attributeTree", "privacyOptions", "attackModelList", 
		"attackModel", "attackModelName", "attackModelParameters", "generalizationTrees", 
		"generalizationTreeHeader", "generalizationTree", "setOfValues", "range"
	};

	@Override
	public String getGrammarFileName() { return "Privas.g4"; }

	@Override
	public String[] getTokenNames() { return tokenNames; }

	@Override
	public String[] getRuleNames() { return ruleNames; }

	@Override
	public ATN getATN() { return _ATN; }


	    private void addNode(Generalization generalizationParent, GeneralizationNode nodeParent, GeneralizationNode node, int level, int numberOfTabs) {
	        GeneralizationNode correctParent = nodeParent;

	        if (numberOfTabs == 1) {
	            generalizationParent.add(node);
	        }
	        else if (level == numberOfTabs) {
	            nodeParent.add(node);
	        }
	        else if (level > numberOfTabs) {
	            int numberOfTabsToGetToCorrectParent = level - numberOfTabs;

	            while (numberOfTabsToGetToCorrectParent > 0) {
	                correctParent = nodeParent.getParent();
	                numberOfTabsToGetToCorrectParent--;
	            }

	            correctParent.add(node);
	            node.setParent(correctParent);
	        }
	        else {
	            // error
	        }
	    }

	    private static Range rangeFrom(Token t1, Token t2, boolean leftInclusive, boolean rightInclusive) {
	        Double n1 = t1 != null ? Double.valueOf(t1.getText()) : null;
	        Double n2 = t2 != null ? Double.valueOf(t2.getText()) : null;

	        return new Range(n1, n2, leftInclusive, rightInclusive);
	    }

	public PrivasParser(TokenStream input) {
		super(input);
		_interp = new ParserATNSimulator(this,_ATN,_decisionToDFA,_sharedContextCache);
	}
	public static class PrivasContext extends ParserRuleContext {
		public PrivacyDefinition privacyDefinition;
		public DataDescriptionContext dataDescription() {
			return getRuleContext(DataDescriptionContext.class,0);
		}
		public PrivacyOptionsContext privacyOptions() {
			return getRuleContext(PrivacyOptionsContext.class,0);
		}
		public RepositoryOptionsContext repositoryOptions() {
			return getRuleContext(RepositoryOptionsContext.class,0);
		}
		public GeneralizationTreesContext generalizationTrees() {
			return getRuleContext(GeneralizationTreesContext.class,0);
		}
		public PrivasContext(ParserRuleContext parent, int invokingState) {
			super(parent, invokingState);
		}
		@Override public int getRuleIndex() { return RULE_privas; }
		@Override
		public void enterRule(ParseTreeListener listener) {
			if ( listener instanceof PrivasListener ) ((PrivasListener)listener).enterPrivas(this);
		}
		@Override
		public void exitRule(ParseTreeListener listener) {
			if ( listener instanceof PrivasListener ) ((PrivasListener)listener).exitPrivas(this);
		}
	}

	public final PrivasContext privas() throws RecognitionException {
		PrivasContext _localctx = new PrivasContext(_ctx, getState());
		enterRule(_localctx, 0, RULE_privas);

		   _localctx.privacyDefinition = new PrivacyDefinition();
		   List<TableToPrivateDetails> tableList = new ArrayList<TableToPrivateDetails>();
		   String name;

		int _la;
		try {
			enterOuterAlt(_localctx, 1);
			{
			setState(42); repositoryOptions(_localctx.privacyDefinition);
			setState(43); dataDescription(_localctx.privacyDefinition);
			setState(44); privacyOptions(_localctx.privacyDefinition);
			setState(46);
			_la = _input.LA(1);
			if (_la==PLUS) {
				{
				setState(45); generalizationTrees(_localctx.privacyDefinition);
				}
			}

			}

			    _localctx.privacyDefinition.calculateErrors();

		}
		catch (RecognitionException re) {
			_localctx.exception = re;
			_errHandler.reportError(this, re);
			_errHandler.recover(this, re);
		}
		finally {
			exitRule();
		}
		return _localctx;
	}

	public static class RepositoryOptionsContext extends ParserRuleContext {
		public PrivacyDefinition privacyDefinition;
		public RelationalRepositoryOptionsContext relationalRepositoryOptions;
		public CsvRepositoryOptionsContext csvRepositoryOptions;
		public CsvRepositoryOptionsContext csvRepositoryOptions() {
			return getRuleContext(CsvRepositoryOptionsContext.class,0);
		}
		public RelationalRepositoryOptionsContext relationalRepositoryOptions() {
			return getRuleContext(RelationalRepositoryOptionsContext.class,0);
		}
		public RepositoryOptionsContext(ParserRuleContext parent, int invokingState) { super(parent, invokingState); }
		public RepositoryOptionsContext(ParserRuleContext parent, int invokingState, PrivacyDefinition privacyDefinition) {
			super(parent, invokingState);
			this.privacyDefinition = privacyDefinition;
		}
		@Override public int getRuleIndex() { return RULE_repositoryOptions; }
		@Override
		public void enterRule(ParseTreeListener listener) {
			if ( listener instanceof PrivasListener ) ((PrivasListener)listener).enterRepositoryOptions(this);
		}
		@Override
		public void exitRule(ParseTreeListener listener) {
			if ( listener instanceof PrivasListener ) ((PrivasListener)listener).exitRepositoryOptions(this);
		}
	}

	public final RepositoryOptionsContext repositoryOptions(PrivacyDefinition privacyDefinition) throws RecognitionException {
		RepositoryOptionsContext _localctx = new RepositoryOptionsContext(_ctx, getState(), privacyDefinition);
		enterRule(_localctx, 2, RULE_repositoryOptions);
		try {
			setState(56);
			switch (_input.LA(1)) {
			case 5:
				enterOuterAlt(_localctx, 1);
				{
				setState(48); match(5);
				setState(49); ((RepositoryOptionsContext)_localctx).relationalRepositoryOptions = relationalRepositoryOptions();
				   _localctx.privacyDefinition.setRepositoryType(RepositoryType.MYSQL);
				                                                            _localctx.privacyDefinition.setConnectionString(((RepositoryOptionsContext)_localctx).relationalRepositoryOptions.value);
				                                                        
				}
				break;
			case 9:
				enterOuterAlt(_localctx, 2);
				{
				setState(52); match(9);
				setState(53); ((RepositoryOptionsContext)_localctx).csvRepositoryOptions = csvRepositoryOptions();
				   _localctx.privacyDefinition.setRepositoryType(RepositoryType.CSV);
				                                                            _localctx.privacyDefinition.setPath(((RepositoryOptionsContext)_localctx).csvRepositoryOptions.value);
				                                                        
				}
				break;
			default:
				throw new NoViableAltException(this);
			}
		}
		catch (RecognitionException re) {
			_localctx.exception = re;
			_errHandler.reportError(this, re);
			_errHandler.recover(this, re);
		}
		finally {
			exitRule();
		}
		return _localctx;
	}

	public static class RelationalRepositoryOptionsContext extends ParserRuleContext {
		public String value;
		public Token STRING_LITERAL;
		public TerminalNode STRING_LITERAL() { return getToken(PrivasParser.STRING_LITERAL, 0); }
		public RelationalRepositoryOptionsContext(ParserRuleContext parent, int invokingState) {
			super(parent, invokingState);
		}
		@Override public int getRuleIndex() { return RULE_relationalRepositoryOptions; }
		@Override
		public void enterRule(ParseTreeListener listener) {
			if ( listener instanceof PrivasListener ) ((PrivasListener)listener).enterRelationalRepositoryOptions(this);
		}
		@Override
		public void exitRule(ParseTreeListener listener) {
			if ( listener instanceof PrivasListener ) ((PrivasListener)listener).exitRelationalRepositoryOptions(this);
		}
	}

	public final RelationalRepositoryOptionsContext relationalRepositoryOptions() throws RecognitionException {
		RelationalRepositoryOptionsContext _localctx = new RelationalRepositoryOptionsContext(_ctx, getState());
		enterRule(_localctx, 4, RULE_relationalRepositoryOptions);
		try {
			enterOuterAlt(_localctx, 1);
			{
			setState(58); match(15);
			setState(59); ((RelationalRepositoryOptionsContext)_localctx).STRING_LITERAL = match(STRING_LITERAL);
			   _localctx.value = (((RelationalRepositoryOptionsContext)_localctx).STRING_LITERAL!=null?((RelationalRepositoryOptionsContext)_localctx).STRING_LITERAL.getText():null); 
			}
		}
		catch (RecognitionException re) {
			_localctx.exception = re;
			_errHandler.reportError(this, re);
			_errHandler.recover(this, re);
		}
		finally {
			exitRule();
		}
		return _localctx;
	}

	public static class CsvRepositoryOptionsContext extends ParserRuleContext {
		public String value;
		public Token STRING_LITERAL;
		public TerminalNode STRING_LITERAL() { return getToken(PrivasParser.STRING_LITERAL, 0); }
		public CsvRepositoryOptionsContext(ParserRuleContext parent, int invokingState) {
			super(parent, invokingState);
		}
		@Override public int getRuleIndex() { return RULE_csvRepositoryOptions; }
		@Override
		public void enterRule(ParseTreeListener listener) {
			if ( listener instanceof PrivasListener ) ((PrivasListener)listener).enterCsvRepositoryOptions(this);
		}
		@Override
		public void exitRule(ParseTreeListener listener) {
			if ( listener instanceof PrivasListener ) ((PrivasListener)listener).exitCsvRepositoryOptions(this);
		}
	}

	public final CsvRepositoryOptionsContext csvRepositoryOptions() throws RecognitionException {
		CsvRepositoryOptionsContext _localctx = new CsvRepositoryOptionsContext(_ctx, getState());
		enterRule(_localctx, 6, RULE_csvRepositoryOptions);
		try {
			enterOuterAlt(_localctx, 1);
			{
			setState(62); match(2);
			setState(63); ((CsvRepositoryOptionsContext)_localctx).STRING_LITERAL = match(STRING_LITERAL);
			   _localctx.value = (((CsvRepositoryOptionsContext)_localctx).STRING_LITERAL!=null?((CsvRepositoryOptionsContext)_localctx).STRING_LITERAL.getText():null); 
			}
		}
		catch (RecognitionException re) {
			_localctx.exception = re;
			_errHandler.reportError(this, re);
			_errHandler.recover(this, re);
		}
		finally {
			exitRule();
		}
		return _localctx;
	}

	public static class DataDescriptionContext extends ParserRuleContext {
		public PrivacyDefinition privacyDefinition;
		public Token NAME;
		public EntitiesContext entities;
		public TerminalNode NAME() { return getToken(PrivasParser.NAME, 0); }
		public EntitiesContext entities() {
			return getRuleContext(EntitiesContext.class,0);
		}
		public DataDescriptionContext(ParserRuleContext parent, int invokingState) { super(parent, invokingState); }
		public DataDescriptionContext(ParserRuleContext parent, int invokingState, PrivacyDefinition privacyDefinition) {
			super(parent, invokingState);
			this.privacyDefinition = privacyDefinition;
		}
		@Override public int getRuleIndex() { return RULE_dataDescription; }
		@Override
		public void enterRule(ParseTreeListener listener) {
			if ( listener instanceof PrivasListener ) ((PrivasListener)listener).enterDataDescription(this);
		}
		@Override
		public void exitRule(ParseTreeListener listener) {
			if ( listener instanceof PrivasListener ) ((PrivasListener)listener).exitDataDescription(this);
		}
	}

	public final DataDescriptionContext dataDescription(PrivacyDefinition privacyDefinition) throws RecognitionException {
		DataDescriptionContext _localctx = new DataDescriptionContext(_ctx, getState(), privacyDefinition);
		enterRule(_localctx, 8, RULE_dataDescription);

		   List<TableToPrivateDetails> tableList = new ArrayList<TableToPrivateDetails>();
		   String name;

		try {
			enterOuterAlt(_localctx, 1);
			{
			setState(66); ((DataDescriptionContext)_localctx).NAME = match(NAME);
			setState(67); ((DataDescriptionContext)_localctx).entities = entities(tableList);
			  name = (((DataDescriptionContext)_localctx).NAME!=null?((DataDescriptionContext)_localctx).NAME.getText():null);
			                                           tableList = ((DataDescriptionContext)_localctx).entities.tablesOut;
			                                        
			}

			    _localctx.privacyDefinition.setTableToPrivateDetails(tableList);
			    _localctx.privacyDefinition.setName(name);

		}
		catch (RecognitionException re) {
			_localctx.exception = re;
			_errHandler.reportError(this, re);
			_errHandler.recover(this, re);
		}
		finally {
			exitRule();
		}
		return _localctx;
	}

	public static class EntitiesContext extends ParserRuleContext {
		public List<TableToPrivateDetails> tablesIn;
		public List<TableToPrivateDetails> tablesOut;
		public EntityContext entity;
		public EntityContext entity(int i) {
			return getRuleContext(EntityContext.class,i);
		}
		public List<EntityContext> entity() {
			return getRuleContexts(EntityContext.class);
		}
		public EntitiesContext(ParserRuleContext parent, int invokingState) { super(parent, invokingState); }
		public EntitiesContext(ParserRuleContext parent, int invokingState, List<TableToPrivateDetails> tablesIn) {
			super(parent, invokingState);
			this.tablesIn = tablesIn;
		}
		@Override public int getRuleIndex() { return RULE_entities; }
		@Override
		public void enterRule(ParseTreeListener listener) {
			if ( listener instanceof PrivasListener ) ((PrivasListener)listener).enterEntities(this);
		}
		@Override
		public void exitRule(ParseTreeListener listener) {
			if ( listener instanceof PrivasListener ) ((PrivasListener)listener).exitEntities(this);
		}
	}

	public final EntitiesContext entities(List<TableToPrivateDetails> tablesIn) throws RecognitionException {
		EntitiesContext _localctx = new EntitiesContext(_ctx, getState(), tablesIn);
		enterRule(_localctx, 10, RULE_entities);
		int _la;
		try {
			enterOuterAlt(_localctx, 1);
			{
			setState(70); ((EntitiesContext)_localctx).entity = entity();
			 _localctx.tablesIn.add(((EntitiesContext)_localctx).entity.tablePrivateDetailsOut); 
			setState(77);
			_errHandler.sync(this);
			_la = _input.LA(1);
			while (_la==NAME) {
				{
				{
				setState(72); ((EntitiesContext)_localctx).entity = entity();
				 _localctx.tablesIn.add(((EntitiesContext)_localctx).entity.tablePrivateDetailsOut); 
				}
				}
				setState(79);
				_errHandler.sync(this);
				_la = _input.LA(1);
			}
			}

			     _localctx.tablesOut = _localctx.tablesIn;

		}
		catch (RecognitionException re) {
			_localctx.exception = re;
			_errHandler.reportError(this, re);
			_errHandler.recover(this, re);
		}
		finally {
			exitRule();
		}
		return _localctx;
	}

	public static class EntityContext extends ParserRuleContext {
		public TableToPrivateDetails tablePrivateDetailsOut;
		public Token NAME;
		public AttributeListContext attributeList;
		public TerminalNode NAME() { return getToken(PrivasParser.NAME, 0); }
		public AttributeListContext attributeList() {
			return getRuleContext(AttributeListContext.class,0);
		}
		public EntityContext(ParserRuleContext parent, int invokingState) {
			super(parent, invokingState);
		}
		@Override public int getRuleIndex() { return RULE_entity; }
		@Override
		public void enterRule(ParseTreeListener listener) {
			if ( listener instanceof PrivasListener ) ((PrivasListener)listener).enterEntity(this);
		}
		@Override
		public void exitRule(ParseTreeListener listener) {
			if ( listener instanceof PrivasListener ) ((PrivasListener)listener).exitEntity(this);
		}
	}

	public final EntityContext entity() throws RecognitionException {
		EntityContext _localctx = new EntityContext(_ctx, getState());
		enterRule(_localctx, 12, RULE_entity);

		    TableToPrivateDetails tablePrivateDetails = new TableToPrivateDetails();

		try {
			enterOuterAlt(_localctx, 1);
			{
			setState(80); ((EntityContext)_localctx).NAME = match(NAME);
			setState(81); match(19);
			setState(82); ((EntityContext)_localctx).attributeList = attributeList();
			setState(83); match(21);
			 tablePrivateDetails.setTableName((((EntityContext)_localctx).NAME!=null?((EntityContext)_localctx).NAME.getText():null));
			                                   tablePrivateDetails.setAttributesOptions(((EntityContext)_localctx).attributeList.attributesOptionsOut);
			                                 
			}

			    _localctx.tablePrivateDetailsOut = tablePrivateDetails;

		}
		catch (RecognitionException re) {
			_localctx.exception = re;
			_errHandler.reportError(this, re);
			_errHandler.recover(this, re);
		}
		finally {
			exitRule();
		}
		return _localctx;
	}

	public static class AttributeListContext extends ParserRuleContext {
		public AttributesOptions attributesOptionsOut;
		public AttributeContext attribute;
		public List<AttributeContext> attribute() {
			return getRuleContexts(AttributeContext.class);
		}
		public AttributeContext attribute(int i) {
			return getRuleContext(AttributeContext.class,i);
		}
		public AttributeListContext(ParserRuleContext parent, int invokingState) {
			super(parent, invokingState);
		}
		@Override public int getRuleIndex() { return RULE_attributeList; }
		@Override
		public void enterRule(ParseTreeListener listener) {
			if ( listener instanceof PrivasListener ) ((PrivasListener)listener).enterAttributeList(this);
		}
		@Override
		public void exitRule(ParseTreeListener listener) {
			if ( listener instanceof PrivasListener ) ((PrivasListener)listener).exitAttributeList(this);
		}
	}

	public final AttributeListContext attributeList() throws RecognitionException {
		AttributeListContext _localctx = new AttributeListContext(_ctx, getState());
		enterRule(_localctx, 14, RULE_attributeList);

		    AttributesOptions attributesOptions = new AttributesOptions();

		int _la;
		try {
			enterOuterAlt(_localctx, 1);
			{
			setState(86); ((AttributeListContext)_localctx).attribute = attribute(attributesOptions);
			 attributesOptions = ((AttributeListContext)_localctx).attribute.attributesOptionsOut; 
			setState(94);
			_errHandler.sync(this);
			_la = _input.LA(1);
			while (_la==16) {
				{
				{
				setState(88); match(16);
				setState(89); ((AttributeListContext)_localctx).attribute = attribute(attributesOptions);
				 attributesOptions = ((AttributeListContext)_localctx).attribute.attributesOptionsOut; 
				}
				}
				setState(96);
				_errHandler.sync(this);
				_la = _input.LA(1);
			}
			}

			    _localctx.attributesOptionsOut = attributesOptions;

		}
		catch (RecognitionException re) {
			_localctx.exception = re;
			_errHandler.reportError(this, re);
			_errHandler.recover(this, re);
		}
		finally {
			exitRule();
		}
		return _localctx;
	}

	public static class AttributeContext extends ParserRuleContext {
		public AttributesOptions attributesOptionsIn;
		public AttributesOptions attributesOptionsOut;
		public AttributeValueContext attributeValue;
		public AttributeTreeContext attributeTree;
		public AttributeValueContext attributeValue() {
			return getRuleContext(AttributeValueContext.class,0);
		}
		public AttributeTreeContext attributeTree() {
			return getRuleContext(AttributeTreeContext.class,0);
		}
		public AttributeContext(ParserRuleContext parent, int invokingState) { super(parent, invokingState); }
		public AttributeContext(ParserRuleContext parent, int invokingState, AttributesOptions attributesOptionsIn) {
			super(parent, invokingState);
			this.attributesOptionsIn = attributesOptionsIn;
		}
		@Override public int getRuleIndex() { return RULE_attribute; }
		@Override
		public void enterRule(ParseTreeListener listener) {
			if ( listener instanceof PrivasListener ) ((PrivasListener)listener).enterAttribute(this);
		}
		@Override
		public void exitRule(ParseTreeListener listener) {
			if ( listener instanceof PrivasListener ) ((PrivasListener)listener).exitAttribute(this);
		}
	}

	public final AttributeContext attribute(AttributesOptions attributesOptionsIn) throws RecognitionException {
		AttributeContext _localctx = new AttributeContext(_ctx, getState(), attributesOptionsIn);
		enterRule(_localctx, 16, RULE_attribute);
		int _la;
		try {
			enterOuterAlt(_localctx, 1);
			{
			setState(97); ((AttributeContext)_localctx).attributeValue = attributeValue();
			setState(99);
			_la = _input.LA(1);
			if (_la==4) {
				{
				setState(98); ((AttributeContext)_localctx).attributeTree = attributeTree();
				}
			}

			   Attribute attribute = ((AttributeContext)_localctx).attributeValue.attributeOut;
			                                        if (((AttributeContext)_localctx).attributeTree != null) {
			                                            attribute.setType(((AttributeContext)_localctx).attributeTree.typeName);
			                                        }
			                                        _localctx.attributesOptionsIn.addAttribute(attribute);
			                                    
			}

			    _localctx.attributesOptionsOut = _localctx.attributesOptionsIn;

		}
		catch (RecognitionException re) {
			_localctx.exception = re;
			_errHandler.reportError(this, re);
			_errHandler.recover(this, re);
		}
		finally {
			exitRule();
		}
		return _localctx;
	}

	public static class AttributeValueContext extends ParserRuleContext {
		public Attribute attributeOut;
		public Token NAME;
		public TerminalNode NAME() { return getToken(PrivasParser.NAME, 0); }
		public AttributeValueContext(ParserRuleContext parent, int invokingState) {
			super(parent, invokingState);
		}
		@Override public int getRuleIndex() { return RULE_attributeValue; }
		@Override
		public void enterRule(ParseTreeListener listener) {
			if ( listener instanceof PrivasListener ) ((PrivasListener)listener).enterAttributeValue(this);
		}
		@Override
		public void exitRule(ParseTreeListener listener) {
			if ( listener instanceof PrivasListener ) ((PrivasListener)listener).exitAttributeValue(this);
		}
	}

	public final AttributeValueContext attributeValue() throws RecognitionException {
		AttributeValueContext _localctx = new AttributeValueContext(_ctx, getState());
		enterRule(_localctx, 18, RULE_attributeValue);

		    boolean isToPrivate = false;
		    boolean isToHide = false;
		    boolean isId = false;
		    boolean isQId = false;
		    boolean isSA = false;
		    String name = null;

		try {
			setState(120);
			switch (_input.LA(1)) {
			case 14:
				enterOuterAlt(_localctx, 1);
				{
				setState(103); match(14);
				setState(104); ((AttributeValueContext)_localctx).NAME = match(NAME);
				 name = (((AttributeValueContext)_localctx).NAME!=null?((AttributeValueContext)_localctx).NAME.getText():null); isToPrivate = true; 
				}
				break;
			case 8:
				enterOuterAlt(_localctx, 2);
				{
				setState(106); match(8);
				setState(107); ((AttributeValueContext)_localctx).NAME = match(NAME);
				 name = (((AttributeValueContext)_localctx).NAME!=null?((AttributeValueContext)_localctx).NAME.getText():null); isToHide = true; 
				}
				break;
			case 25:
				enterOuterAlt(_localctx, 3);
				{
				setState(109); match(25);
				setState(110); ((AttributeValueContext)_localctx).NAME = match(NAME);
				 name = (((AttributeValueContext)_localctx).NAME!=null?((AttributeValueContext)_localctx).NAME.getText():null); isId = true; 
				}
				break;
			case 11:
				enterOuterAlt(_localctx, 4);
				{
				setState(112); match(11);
				setState(113); ((AttributeValueContext)_localctx).NAME = match(NAME);
				 name = (((AttributeValueContext)_localctx).NAME!=null?((AttributeValueContext)_localctx).NAME.getText():null); isQId = true; 
				}
				break;
			case 23:
				enterOuterAlt(_localctx, 5);
				{
				setState(115); match(23);
				setState(116); ((AttributeValueContext)_localctx).NAME = match(NAME);
				 name = (((AttributeValueContext)_localctx).NAME!=null?((AttributeValueContext)_localctx).NAME.getText():null); isSA = true; 
				}
				break;
			case NAME:
				enterOuterAlt(_localctx, 6);
				{
				setState(118); ((AttributeValueContext)_localctx).NAME = match(NAME);
				 name = (((AttributeValueContext)_localctx).NAME!=null?((AttributeValueContext)_localctx).NAME.getText():null); 
				}
				break;
			default:
				throw new NoViableAltException(this);
			}

			    _localctx.attributeOut = new Attribute(name, isId, isQId, isSA);

		}
		catch (RecognitionException re) {
			_localctx.exception = re;
			_errHandler.reportError(this, re);
			_errHandler.recover(this, re);
		}
		finally {
			exitRule();
		}
		return _localctx;
	}

	public static class AttributeTreeContext extends ParserRuleContext {
		public String typeName;
		public Token NAME;
		public TerminalNode NAME() { return getToken(PrivasParser.NAME, 0); }
		public AttributeTreeContext(ParserRuleContext parent, int invokingState) {
			super(parent, invokingState);
		}
		@Override public int getRuleIndex() { return RULE_attributeTree; }
		@Override
		public void enterRule(ParseTreeListener listener) {
			if ( listener instanceof PrivasListener ) ((PrivasListener)listener).enterAttributeTree(this);
		}
		@Override
		public void exitRule(ParseTreeListener listener) {
			if ( listener instanceof PrivasListener ) ((PrivasListener)listener).exitAttributeTree(this);
		}
	}

	public final AttributeTreeContext attributeTree() throws RecognitionException {
		AttributeTreeContext _localctx = new AttributeTreeContext(_ctx, getState());
		enterRule(_localctx, 20, RULE_attributeTree);
		try {
			enterOuterAlt(_localctx, 1);
			{
			setState(122); match(4);
			setState(123); ((AttributeTreeContext)_localctx).NAME = match(NAME);
			 _localctx.typeName = (((AttributeTreeContext)_localctx).NAME!=null?((AttributeTreeContext)_localctx).NAME.getText():null); 
			}
		}
		catch (RecognitionException re) {
			_localctx.exception = re;
			_errHandler.reportError(this, re);
			_errHandler.recover(this, re);
		}
		finally {
			exitRule();
		}
		return _localctx;
	}

	public static class PrivacyOptionsContext extends ParserRuleContext {
		public PrivacyDefinition privacyDefinition;
		public AttackModelListContext attackModelList;
		public AttackModelListContext attackModelList() {
			return getRuleContext(AttackModelListContext.class,0);
		}
		public PrivacyOptionsContext(ParserRuleContext parent, int invokingState) { super(parent, invokingState); }
		public PrivacyOptionsContext(ParserRuleContext parent, int invokingState, PrivacyDefinition privacyDefinition) {
			super(parent, invokingState);
			this.privacyDefinition = privacyDefinition;
		}
		@Override public int getRuleIndex() { return RULE_privacyOptions; }
		@Override
		public void enterRule(ParseTreeListener listener) {
			if ( listener instanceof PrivasListener ) ((PrivasListener)listener).enterPrivacyOptions(this);
		}
		@Override
		public void exitRule(ParseTreeListener listener) {
			if ( listener instanceof PrivasListener ) ((PrivasListener)listener).exitPrivacyOptions(this);
		}
	}

	public final PrivacyOptionsContext privacyOptions(PrivacyDefinition privacyDefinition) throws RecognitionException {
		PrivacyOptionsContext _localctx = new PrivacyOptionsContext(_ctx, getState(), privacyDefinition);
		enterRule(_localctx, 22, RULE_privacyOptions);
		try {
			enterOuterAlt(_localctx, 1);
			{
			setState(126); match(10);
			setState(127); match(19);
			setState(128); ((PrivacyOptionsContext)_localctx).attackModelList = attackModelList();
			setState(129); match(21);
			 _localctx.privacyDefinition.setAttackModels(((PrivacyOptionsContext)_localctx).attackModelList.models); 
			}
		}
		catch (RecognitionException re) {
			_localctx.exception = re;
			_errHandler.reportError(this, re);
			_errHandler.recover(this, re);
		}
		finally {
			exitRule();
		}
		return _localctx;
	}

	public static class AttackModelListContext extends ParserRuleContext {
		public List<AttackModel> models;
		public AttackModelContext attackModel;
		public AttackModelContext attackModel(int i) {
			return getRuleContext(AttackModelContext.class,i);
		}
		public List<AttackModelContext> attackModel() {
			return getRuleContexts(AttackModelContext.class);
		}
		public AttackModelListContext(ParserRuleContext parent, int invokingState) {
			super(parent, invokingState);
		}
		@Override public int getRuleIndex() { return RULE_attackModelList; }
		@Override
		public void enterRule(ParseTreeListener listener) {
			if ( listener instanceof PrivasListener ) ((PrivasListener)listener).enterAttackModelList(this);
		}
		@Override
		public void exitRule(ParseTreeListener listener) {
			if ( listener instanceof PrivasListener ) ((PrivasListener)listener).exitAttackModelList(this);
		}
	}

	public final AttackModelListContext attackModelList() throws RecognitionException {
		AttackModelListContext _localctx = new AttackModelListContext(_ctx, getState());
		enterRule(_localctx, 24, RULE_attackModelList);

		    _localctx.models = new ArrayList<AttackModel>();

		int _la;
		try {
			enterOuterAlt(_localctx, 1);
			{
			setState(132); ((AttackModelListContext)_localctx).attackModel = attackModel();
			 _localctx.models.add(((AttackModelListContext)_localctx).attackModel.model); 
			setState(140);
			_errHandler.sync(this);
			_la = _input.LA(1);
			while (_la==16) {
				{
				{
				setState(134); match(16);
				setState(135); ((AttackModelListContext)_localctx).attackModel = attackModel();
				 _localctx.models.add(((AttackModelListContext)_localctx).attackModel.model); 
				}
				}
				setState(142);
				_errHandler.sync(this);
				_la = _input.LA(1);
			}
			}

			    if (!ValidatePrivacyOptions.validate(_localctx.models)) {
			        List<List<AttackModel>> possible = ValidatePrivacyOptions.getPossibleValues(_localctx.models);
			        System.out.println(possible);

			        _localctx.models = new ArrayList<AttackModel>();
			    }

		}
		catch (RecognitionException re) {
			_localctx.exception = re;
			_errHandler.reportError(this, re);
			_errHandler.recover(this, re);
		}
		finally {
			exitRule();
		}
		return _localctx;
	}

	public static class AttackModelContext extends ParserRuleContext {
		public AttackModel model;
		public AttackModelNameContext attackModelName;
		public AttackModelNameContext attackModelName() {
			return getRuleContext(AttackModelNameContext.class,0);
		}
		public AttackModelParametersContext attackModelParameters() {
			return getRuleContext(AttackModelParametersContext.class,0);
		}
		public AttackModelContext(ParserRuleContext parent, int invokingState) {
			super(parent, invokingState);
		}
		@Override public int getRuleIndex() { return RULE_attackModel; }
		@Override
		public void enterRule(ParseTreeListener listener) {
			if ( listener instanceof PrivasListener ) ((PrivasListener)listener).enterAttackModel(this);
		}
		@Override
		public void exitRule(ParseTreeListener listener) {
			if ( listener instanceof PrivasListener ) ((PrivasListener)listener).exitAttackModel(this);
		}
	}

	public final AttackModelContext attackModel() throws RecognitionException {
		AttackModelContext _localctx = new AttackModelContext(_ctx, getState());
		enterRule(_localctx, 26, RULE_attackModel);
		int _la;
		try {
			enterOuterAlt(_localctx, 1);
			{
			setState(143); ((AttackModelContext)_localctx).attackModelName = attackModelName();
			setState(145);
			_la = _input.LA(1);
			if (_la==20) {
				{
				setState(144); attackModelParameters();
				}
			}

			 _localctx.model = ((AttackModelContext)_localctx).attackModelName.model; 
			}
		}
		catch (RecognitionException re) {
			_localctx.exception = re;
			_errHandler.reportError(this, re);
			_errHandler.recover(this, re);
		}
		finally {
			exitRule();
		}
		return _localctx;
	}

	public static class AttackModelNameContext extends ParserRuleContext {
		public AttackModel model;
		public AttackModelNameContext(ParserRuleContext parent, int invokingState) {
			super(parent, invokingState);
		}
		@Override public int getRuleIndex() { return RULE_attackModelName; }
		@Override
		public void enterRule(ParseTreeListener listener) {
			if ( listener instanceof PrivasListener ) ((PrivasListener)listener).enterAttackModelName(this);
		}
		@Override
		public void exitRule(ParseTreeListener listener) {
			if ( listener instanceof PrivasListener ) ((PrivasListener)listener).exitAttackModelName(this);
		}
	}

	public final AttackModelNameContext attackModelName() throws RecognitionException {
		AttackModelNameContext _localctx = new AttackModelNameContext(_ctx, getState());
		enterRule(_localctx, 28, RULE_attackModelName);
		try {
			setState(157);
			switch (_input.LA(1)) {
			case 13:
				enterOuterAlt(_localctx, 1);
				{
				setState(149); match(13);
				 _localctx.model = AttackModel.RECORD_LINKAGE; 
				}
				break;
			case 24:
				enterOuterAlt(_localctx, 2);
				{
				setState(151); match(24);
				 _localctx.model = AttackModel.ATTRIBUTE_LINKAGE; 
				}
				break;
			case 12:
				enterOuterAlt(_localctx, 3);
				{
				setState(153); match(12);
				 _localctx.model = AttackModel.TABLE_LINKAGE; 
				}
				break;
			case 17:
				enterOuterAlt(_localctx, 4);
				{
				setState(155); match(17);
				 _localctx.model = AttackModel.PROBABILISTIC_ATTACK; 
				}
				break;
			default:
				throw new NoViableAltException(this);
			}
		}
		catch (RecognitionException re) {
			_localctx.exception = re;
			_errHandler.reportError(this, re);
			_errHandler.recover(this, re);
		}
		finally {
			exitRule();
		}
		return _localctx;
	}

	public static class AttackModelParametersContext extends ParserRuleContext {
		public TerminalNode NAME(int i) {
			return getToken(PrivasParser.NAME, i);
		}
		public List<TerminalNode> NAME() { return getTokens(PrivasParser.NAME); }
		public List<TerminalNode> NUM() { return getTokens(PrivasParser.NUM); }
		public TerminalNode NUM(int i) {
			return getToken(PrivasParser.NUM, i);
		}
		public AttackModelParametersContext(ParserRuleContext parent, int invokingState) {
			super(parent, invokingState);
		}
		@Override public int getRuleIndex() { return RULE_attackModelParameters; }
		@Override
		public void enterRule(ParseTreeListener listener) {
			if ( listener instanceof PrivasListener ) ((PrivasListener)listener).enterAttackModelParameters(this);
		}
		@Override
		public void exitRule(ParseTreeListener listener) {
			if ( listener instanceof PrivasListener ) ((PrivasListener)listener).exitAttackModelParameters(this);
		}
	}

	public final AttackModelParametersContext attackModelParameters() throws RecognitionException {
		AttackModelParametersContext _localctx = new AttackModelParametersContext(_ctx, getState());
		enterRule(_localctx, 30, RULE_attackModelParameters);
		int _la;
		try {
			enterOuterAlt(_localctx, 1);
			{
			setState(159); match(20);
			setState(160); match(NAME);
			setState(161); match(7);
			setState(162); match(NUM);
			setState(169);
			_errHandler.sync(this);
			_la = _input.LA(1);
			while (_la==16) {
				{
				{
				setState(163); match(16);
				setState(164); match(NAME);
				setState(165); match(7);
				setState(166); match(NUM);
				}
				}
				setState(171);
				_errHandler.sync(this);
				_la = _input.LA(1);
			}
			setState(172); match(22);
			}
		}
		catch (RecognitionException re) {
			_localctx.exception = re;
			_errHandler.reportError(this, re);
			_errHandler.recover(this, re);
		}
		finally {
			exitRule();
		}
		return _localctx;
	}

	public static class GeneralizationTreesContext extends ParserRuleContext {
		public PrivacyDefinition privacyDefinition;
		public GeneralizationTreeHeaderContext generalizationTreeHeader;
		public GeneralizationTreeHeaderContext generalizationTreeHeader(int i) {
			return getRuleContext(GeneralizationTreeHeaderContext.class,i);
		}
		public List<GeneralizationTreeHeaderContext> generalizationTreeHeader() {
			return getRuleContexts(GeneralizationTreeHeaderContext.class);
		}
		public GeneralizationTreesContext(ParserRuleContext parent, int invokingState) { super(parent, invokingState); }
		public GeneralizationTreesContext(ParserRuleContext parent, int invokingState, PrivacyDefinition privacyDefinition) {
			super(parent, invokingState);
			this.privacyDefinition = privacyDefinition;
		}
		@Override public int getRuleIndex() { return RULE_generalizationTrees; }
		@Override
		public void enterRule(ParseTreeListener listener) {
			if ( listener instanceof PrivasListener ) ((PrivasListener)listener).enterGeneralizationTrees(this);
		}
		@Override
		public void exitRule(ParseTreeListener listener) {
			if ( listener instanceof PrivasListener ) ((PrivasListener)listener).exitGeneralizationTrees(this);
		}
	}

	public final GeneralizationTreesContext generalizationTrees(PrivacyDefinition privacyDefinition) throws RecognitionException {
		GeneralizationTreesContext _localctx = new GeneralizationTreesContext(_ctx, getState(), privacyDefinition);
		enterRule(_localctx, 32, RULE_generalizationTrees);
		int _la;
		try {
			enterOuterAlt(_localctx, 1);
			{
			setState(174); ((GeneralizationTreesContext)_localctx).generalizationTreeHeader = generalizationTreeHeader();
			 _localctx.privacyDefinition.addGeneralization(((GeneralizationTreesContext)_localctx).generalizationTreeHeader.generalization); 
			setState(182);
			_errHandler.sync(this);
			_la = _input.LA(1);
			while (_la==ENTER) {
				{
				{
				setState(176); match(ENTER);
				setState(177); ((GeneralizationTreesContext)_localctx).generalizationTreeHeader = generalizationTreeHeader();
				 _localctx.privacyDefinition.addGeneralization(((GeneralizationTreesContext)_localctx).generalizationTreeHeader.generalization); 
				}
				}
				setState(184);
				_errHandler.sync(this);
				_la = _input.LA(1);
			}
			}
		}
		catch (RecognitionException re) {
			_localctx.exception = re;
			_errHandler.reportError(this, re);
			_errHandler.recover(this, re);
		}
		finally {
			exitRule();
		}
		return _localctx;
	}

	public static class GeneralizationTreeHeaderContext extends ParserRuleContext {
		public Generalization generalization;
		public Token name;
		public Token a;
		public TerminalNode NAME(int i) {
			return getToken(PrivasParser.NAME, i);
		}
		public TerminalNode EOF(int i) {
			return getToken(PrivasParser.EOF, i);
		}
		public List<TerminalNode> NAME() { return getTokens(PrivasParser.NAME); }
		public List<TerminalNode> EOF() { return getTokens(PrivasParser.EOF); }
		public TerminalNode PLUS() { return getToken(PrivasParser.PLUS, 0); }
		public List<GeneralizationTreeContext> generalizationTree() {
			return getRuleContexts(GeneralizationTreeContext.class);
		}
		public GeneralizationTreeContext generalizationTree(int i) {
			return getRuleContext(GeneralizationTreeContext.class,i);
		}
		public GeneralizationTreeHeaderContext(ParserRuleContext parent, int invokingState) {
			super(parent, invokingState);
		}
		@Override public int getRuleIndex() { return RULE_generalizationTreeHeader; }
		@Override
		public void enterRule(ParseTreeListener listener) {
			if ( listener instanceof PrivasListener ) ((PrivasListener)listener).enterGeneralizationTreeHeader(this);
		}
		@Override
		public void exitRule(ParseTreeListener listener) {
			if ( listener instanceof PrivasListener ) ((PrivasListener)listener).exitGeneralizationTreeHeader(this);
		}
	}

	public final GeneralizationTreeHeaderContext generalizationTreeHeader() throws RecognitionException {
		GeneralizationTreeHeaderContext _localctx = new GeneralizationTreeHeaderContext(_ctx, getState());
		enterRule(_localctx, 34, RULE_generalizationTreeHeader);

		    String alias = null;
		    _localctx.generalization = null;

		int _la;
		try {
			enterOuterAlt(_localctx, 1);
			{
			setState(185); match(PLUS);
			setState(186); ((GeneralizationTreeHeaderContext)_localctx).name = match(NAME);
			setState(190);
			_la = _input.LA(1);
			if (_la==1) {
				{
				setState(187); match(1);
				setState(188); ((GeneralizationTreeHeaderContext)_localctx).a = match(NAME);
				 alias = (((GeneralizationTreeHeaderContext)_localctx).a!=null?((GeneralizationTreeHeaderContext)_localctx).a.getText():null); 
				}
			}

			setState(192); match(ENTER);
			  if (alias != null) {
			                                                                    _localctx.generalization = new Generalization((((GeneralizationTreeHeaderContext)_localctx).name!=null?((GeneralizationTreeHeaderContext)_localctx).name.getText():null), alias);
			                                                                 } else {
			                                                                    _localctx.generalization = new Generalization((((GeneralizationTreeHeaderContext)_localctx).name!=null?((GeneralizationTreeHeaderContext)_localctx).name.getText():null));
			                                                                 }
			                                                              
			setState(197); 
			_errHandler.sync(this);
			_la = _input.LA(1);
			do {
				{
				{
				setState(194); generalizationTree(_localctx.generalization, null, 1);
				setState(195);
				_la = _input.LA(1);
				if ( !(_la==EOF || _la==ENTER) ) {
				_errHandler.recoverInline(this);
				}
				consume();
				}
				}
				setState(199); 
				_errHandler.sync(this);
				_la = _input.LA(1);
			} while ( (((_la) & ~0x3f) == 0 && ((1L << _la) & ((1L << 22) | (1L << PLUS) | (1L << TAB))) != 0) );
			}
		}
		catch (RecognitionException re) {
			_localctx.exception = re;
			_errHandler.reportError(this, re);
			_errHandler.recover(this, re);
		}
		finally {
			exitRule();
		}
		return _localctx;
	}

	public static class GeneralizationTreeContext extends ParserRuleContext {
		public Generalization generalization;
		public GeneralizationNode nodeParent;
		public int level;
		public Token NAME;
		public GeneralizationTreeContext c;
		public Token STRING_LITERAL;
		public RangeContext range;
		public List<TerminalNode> TAB() { return getTokens(PrivasParser.TAB); }
		public TerminalNode EOF(int i) {
			return getToken(PrivasParser.EOF, i);
		}
		public TerminalNode NAME() { return getToken(PrivasParser.NAME, 0); }
		public List<TerminalNode> EOF() { return getTokens(PrivasParser.EOF); }
		public TerminalNode STRING_LITERAL() { return getToken(PrivasParser.STRING_LITERAL, 0); }
		public List<GeneralizationTreeContext> generalizationTree() {
			return getRuleContexts(GeneralizationTreeContext.class);
		}
		public TerminalNode TAB(int i) {
			return getToken(PrivasParser.TAB, i);
		}
		public SetOfValuesContext setOfValues() {
			return getRuleContext(SetOfValuesContext.class,0);
		}
		public RangeContext range() {
			return getRuleContext(RangeContext.class,0);
		}
		public GeneralizationTreeContext generalizationTree(int i) {
			return getRuleContext(GeneralizationTreeContext.class,i);
		}
		public GeneralizationTreeContext(ParserRuleContext parent, int invokingState) { super(parent, invokingState); }
		public GeneralizationTreeContext(ParserRuleContext parent, int invokingState, Generalization generalization, GeneralizationNode nodeParent, int level) {
			super(parent, invokingState);
			this.generalization = generalization;
			this.nodeParent = nodeParent;
			this.level = level;
		}
		@Override public int getRuleIndex() { return RULE_generalizationTree; }
		@Override
		public void enterRule(ParseTreeListener listener) {
			if ( listener instanceof PrivasListener ) ((PrivasListener)listener).enterGeneralizationTree(this);
		}
		@Override
		public void exitRule(ParseTreeListener listener) {
			if ( listener instanceof PrivasListener ) ((PrivasListener)listener).exitGeneralizationTree(this);
		}
	}

	public final GeneralizationTreeContext generalizationTree(Generalization generalization,GeneralizationNode nodeParent,int level) throws RecognitionException {
		GeneralizationTreeContext _localctx = new GeneralizationTreeContext(_ctx, getState(), generalization, nodeParent, level);
		enterRule(_localctx, 36, RULE_generalizationTree);

		    int nextLevel = level+1;
		    int tabs = 0;
		    GeneralizationNode node = null;

		int _la;
		try {
			setState(271);
			switch ( getInterpreter().adaptivePredict(_input,19,_ctx) ) {
			case 1:
				enterOuterAlt(_localctx, 1);
				{
				setState(205);
				_errHandler.sync(this);
				_la = _input.LA(1);
				while (_la==TAB) {
					{
					{
					setState(201); match(TAB);
					 tabs++; 
					}
					}
					setState(207);
					_errHandler.sync(this);
					_la = _input.LA(1);
				}
				setState(208); match(PLUS);
				setState(209); ((GeneralizationTreeContext)_localctx).NAME = match(NAME);
				setState(210); match(ENTER);
				 node = new GeneralizationNode(nodeParent, (((GeneralizationTreeContext)_localctx).NAME!=null?((GeneralizationTreeContext)_localctx).NAME.getText():null)); 
				setState(215); 
				_errHandler.sync(this);
				_la = _input.LA(1);
				do {
					{
					{
					setState(212); ((GeneralizationTreeContext)_localctx).c = generalizationTree(generalization, node, nextLevel);
					setState(213);
					_la = _input.LA(1);
					if ( !(_la==EOF || _la==ENTER) ) {
					_errHandler.recoverInline(this);
					}
					consume();
					}
					}
					setState(217); 
					_errHandler.sync(this);
					_la = _input.LA(1);
				} while ( (((_la) & ~0x3f) == 0 && ((1L << _la) & ((1L << 22) | (1L << PLUS) | (1L << TAB))) != 0) );
				}
				break;

			case 2:
				enterOuterAlt(_localctx, 2);
				{
				setState(223);
				_errHandler.sync(this);
				_la = _input.LA(1);
				while (_la==TAB) {
					{
					{
					setState(219); match(TAB);
					 tabs++; 
					}
					}
					setState(225);
					_errHandler.sync(this);
					_la = _input.LA(1);
				}
				setState(226); match(22);
				setState(227); ((GeneralizationTreeContext)_localctx).STRING_LITERAL = match(STRING_LITERAL);
				setState(228); match(18);
				setState(229); setOfValues();
				 node = new GeneralizationNodeSetValues(nodeParent, (((GeneralizationTreeContext)_localctx).STRING_LITERAL!=null?((GeneralizationTreeContext)_localctx).STRING_LITERAL.getText():null)); 
				}
				break;

			case 3:
				enterOuterAlt(_localctx, 3);
				{
				setState(236);
				_errHandler.sync(this);
				_la = _input.LA(1);
				while (_la==TAB) {
					{
					{
					setState(232); match(TAB);
					 tabs++; 
					}
					}
					setState(238);
					_errHandler.sync(this);
					_la = _input.LA(1);
				}
				setState(239); match(22);
				setState(240); ((GeneralizationTreeContext)_localctx).NAME = match(NAME);
				setState(241); match(18);
				setState(242); setOfValues();
				 node = new GeneralizationNodeSetValues(nodeParent, (((GeneralizationTreeContext)_localctx).NAME!=null?((GeneralizationTreeContext)_localctx).NAME.getText():null)); 
				}
				break;

			case 4:
				enterOuterAlt(_localctx, 4);
				{
				setState(249);
				_errHandler.sync(this);
				_la = _input.LA(1);
				while (_la==TAB) {
					{
					{
					setState(245); match(TAB);
					 tabs++; 
					}
					}
					setState(251);
					_errHandler.sync(this);
					_la = _input.LA(1);
				}
				setState(252); match(22);
				setState(253); ((GeneralizationTreeContext)_localctx).STRING_LITERAL = match(STRING_LITERAL);
				setState(254); match(18);
				setState(255); ((GeneralizationTreeContext)_localctx).range = range();
				 node = new GeneralizationNodeRange(nodeParent, (((GeneralizationTreeContext)_localctx).STRING_LITERAL!=null?((GeneralizationTreeContext)_localctx).STRING_LITERAL.getText():null), ((GeneralizationTreeContext)_localctx).range.value); 
				}
				break;

			case 5:
				enterOuterAlt(_localctx, 5);
				{
				setState(262);
				_errHandler.sync(this);
				_la = _input.LA(1);
				while (_la==TAB) {
					{
					{
					setState(258); match(TAB);
					 tabs++; 
					}
					}
					setState(264);
					_errHandler.sync(this);
					_la = _input.LA(1);
				}
				setState(265); match(22);
				setState(266); ((GeneralizationTreeContext)_localctx).NAME = match(NAME);
				setState(267); match(18);
				setState(268); ((GeneralizationTreeContext)_localctx).range = range();
				 node = new GeneralizationNodeRange(nodeParent, (((GeneralizationTreeContext)_localctx).NAME!=null?((GeneralizationTreeContext)_localctx).NAME.getText():null), ((GeneralizationTreeContext)_localctx).range.value); 
				}
				break;
			}

			    System.out.println("Vou adicionar o node: " + node.getLabel());
			    addNode(generalization, nodeParent, node, level, tabs);

		}
		catch (RecognitionException re) {
			_localctx.exception = re;
			_errHandler.reportError(this, re);
			_errHandler.recover(this, re);
		}
		finally {
			exitRule();
		}
		return _localctx;
	}

	public static class SetOfValuesContext extends ParserRuleContext {
		public List<TerminalNode> STRING_LITERAL() { return getTokens(PrivasParser.STRING_LITERAL); }
		public TerminalNode STRING_LITERAL(int i) {
			return getToken(PrivasParser.STRING_LITERAL, i);
		}
		public SetOfValuesContext(ParserRuleContext parent, int invokingState) {
			super(parent, invokingState);
		}
		@Override public int getRuleIndex() { return RULE_setOfValues; }
		@Override
		public void enterRule(ParseTreeListener listener) {
			if ( listener instanceof PrivasListener ) ((PrivasListener)listener).enterSetOfValues(this);
		}
		@Override
		public void exitRule(ParseTreeListener listener) {
			if ( listener instanceof PrivasListener ) ((PrivasListener)listener).exitSetOfValues(this);
		}
	}

	public final SetOfValuesContext setOfValues() throws RecognitionException {
		SetOfValuesContext _localctx = new SetOfValuesContext(_ctx, getState());
		enterRule(_localctx, 38, RULE_setOfValues);
		int _la;
		try {
			enterOuterAlt(_localctx, 1);
			{
			setState(273); match(3);
			setState(274); match(STRING_LITERAL);
			setState(279);
			_errHandler.sync(this);
			_la = _input.LA(1);
			while (_la==16) {
				{
				{
				setState(275); match(16);
				setState(276); match(STRING_LITERAL);
				}
				}
				setState(281);
				_errHandler.sync(this);
				_la = _input.LA(1);
			}
			setState(282); match(6);
			}
		}
		catch (RecognitionException re) {
			_localctx.exception = re;
			_errHandler.reportError(this, re);
			_errHandler.recover(this, re);
		}
		finally {
			exitRule();
		}
		return _localctx;
	}

	public static class RangeContext extends ParserRuleContext {
		public Range value;
		public Token n1;
		public Token n2;
		public List<TerminalNode> NUM() { return getTokens(PrivasParser.NUM); }
		public TerminalNode NUM(int i) {
			return getToken(PrivasParser.NUM, i);
		}
		public RangeContext(ParserRuleContext parent, int invokingState) {
			super(parent, invokingState);
		}
		@Override public int getRuleIndex() { return RULE_range; }
		@Override
		public void enterRule(ParseTreeListener listener) {
			if ( listener instanceof PrivasListener ) ((PrivasListener)listener).enterRange(this);
		}
		@Override
		public void exitRule(ParseTreeListener listener) {
			if ( listener instanceof PrivasListener ) ((PrivasListener)listener).exitRange(this);
		}
	}

	public final RangeContext range() throws RecognitionException {
		RangeContext _localctx = new RangeContext(_ctx, getState());
		enterRule(_localctx, 40, RULE_range);
		int _la;
		try {
			setState(324);
			switch ( getInterpreter().adaptivePredict(_input,29,_ctx) ) {
			case 1:
				enterOuterAlt(_localctx, 1);
				{
				setState(284); match(21);
				setState(286);
				_la = _input.LA(1);
				if (_la==NUM) {
					{
					setState(285); ((RangeContext)_localctx).n1 = match(NUM);
					}
				}

				setState(288); match(16);
				setState(290);
				_la = _input.LA(1);
				if (_la==NUM) {
					{
					setState(289); ((RangeContext)_localctx).n2 = match(NUM);
					}
				}

				setState(292); match(19);
				 _localctx.value = rangeFrom(((RangeContext)_localctx).n1, ((RangeContext)_localctx).n2, false, false); 
				}
				break;

			case 2:
				enterOuterAlt(_localctx, 2);
				{
				setState(294); match(21);
				setState(296);
				_la = _input.LA(1);
				if (_la==NUM) {
					{
					setState(295); ((RangeContext)_localctx).n1 = match(NUM);
					}
				}

				setState(298); match(16);
				setState(300);
				_la = _input.LA(1);
				if (_la==NUM) {
					{
					setState(299); ((RangeContext)_localctx).n2 = match(NUM);
					}
				}

				setState(302); match(21);
				 _localctx.value = rangeFrom(((RangeContext)_localctx).n1, ((RangeContext)_localctx).n2, false, true); 
				}
				break;

			case 3:
				enterOuterAlt(_localctx, 3);
				{
				setState(304); match(19);
				setState(306);
				_la = _input.LA(1);
				if (_la==NUM) {
					{
					setState(305); ((RangeContext)_localctx).n1 = match(NUM);
					}
				}

				setState(308); match(16);
				setState(310);
				_la = _input.LA(1);
				if (_la==NUM) {
					{
					setState(309); ((RangeContext)_localctx).n2 = match(NUM);
					}
				}

				setState(312); match(19);
				 _localctx.value = rangeFrom(((RangeContext)_localctx).n1, ((RangeContext)_localctx).n2, true, false); 
				}
				break;

			case 4:
				enterOuterAlt(_localctx, 4);
				{
				setState(314); match(19);
				setState(316);
				_la = _input.LA(1);
				if (_la==NUM) {
					{
					setState(315); ((RangeContext)_localctx).n1 = match(NUM);
					}
				}

				setState(318); match(16);
				setState(320);
				_la = _input.LA(1);
				if (_la==NUM) {
					{
					setState(319); ((RangeContext)_localctx).n2 = match(NUM);
					}
				}

				setState(322); match(21);
				 _localctx.value = rangeFrom(((RangeContext)_localctx).n1, ((RangeContext)_localctx).n2, true, true); 
				}
				break;
			}
		}
		catch (RecognitionException re) {
			_localctx.exception = re;
			_errHandler.reportError(this, re);
			_errHandler.recover(this, re);
		}
		finally {
			exitRule();
		}
		return _localctx;
	}

	public static final String _serializedATN =
		"\3\uacf5\uee8c\u4f5d\u8b0d\u4a45\u78bd\u1b2f\u3378\3#\u0149\4\2\t\2\4"+
		"\3\t\3\4\4\t\4\4\5\t\5\4\6\t\6\4\7\t\7\4\b\t\b\4\t\t\t\4\n\t\n\4\13\t"+
		"\13\4\f\t\f\4\r\t\r\4\16\t\16\4\17\t\17\4\20\t\20\4\21\t\21\4\22\t\22"+
		"\4\23\t\23\4\24\t\24\4\25\t\25\4\26\t\26\3\2\3\2\3\2\3\2\5\2\61\n\2\3"+
		"\3\3\3\3\3\3\3\3\3\3\3\3\3\3\3\5\3;\n\3\3\4\3\4\3\4\3\4\3\5\3\5\3\5\3"+
		"\5\3\6\3\6\3\6\3\6\3\7\3\7\3\7\3\7\3\7\7\7N\n\7\f\7\16\7Q\13\7\3\b\3\b"+
		"\3\b\3\b\3\b\3\b\3\t\3\t\3\t\3\t\3\t\3\t\7\t_\n\t\f\t\16\tb\13\t\3\n\3"+
		"\n\5\nf\n\n\3\n\3\n\3\13\3\13\3\13\3\13\3\13\3\13\3\13\3\13\3\13\3\13"+
		"\3\13\3\13\3\13\3\13\3\13\3\13\3\13\5\13{\n\13\3\f\3\f\3\f\3\f\3\r\3\r"+
		"\3\r\3\r\3\r\3\r\3\16\3\16\3\16\3\16\3\16\3\16\7\16\u008d\n\16\f\16\16"+
		"\16\u0090\13\16\3\17\3\17\5\17\u0094\n\17\3\17\3\17\3\20\3\20\3\20\3\20"+
		"\3\20\3\20\3\20\3\20\5\20\u00a0\n\20\3\21\3\21\3\21\3\21\3\21\3\21\3\21"+
		"\3\21\7\21\u00aa\n\21\f\21\16\21\u00ad\13\21\3\21\3\21\3\22\3\22\3\22"+
		"\3\22\3\22\3\22\7\22\u00b7\n\22\f\22\16\22\u00ba\13\22\3\23\3\23\3\23"+
		"\3\23\3\23\5\23\u00c1\n\23\3\23\3\23\3\23\3\23\3\23\6\23\u00c8\n\23\r"+
		"\23\16\23\u00c9\3\24\3\24\7\24\u00ce\n\24\f\24\16\24\u00d1\13\24\3\24"+
		"\3\24\3\24\3\24\3\24\3\24\3\24\6\24\u00da\n\24\r\24\16\24\u00db\3\24\3"+
		"\24\7\24\u00e0\n\24\f\24\16\24\u00e3\13\24\3\24\3\24\3\24\3\24\3\24\3"+
		"\24\3\24\3\24\7\24\u00ed\n\24\f\24\16\24\u00f0\13\24\3\24\3\24\3\24\3"+
		"\24\3\24\3\24\3\24\3\24\7\24\u00fa\n\24\f\24\16\24\u00fd\13\24\3\24\3"+
		"\24\3\24\3\24\3\24\3\24\3\24\3\24\7\24\u0107\n\24\f\24\16\24\u010a\13"+
		"\24\3\24\3\24\3\24\3\24\3\24\3\24\5\24\u0112\n\24\3\25\3\25\3\25\3\25"+
		"\7\25\u0118\n\25\f\25\16\25\u011b\13\25\3\25\3\25\3\26\3\26\5\26\u0121"+
		"\n\26\3\26\3\26\5\26\u0125\n\26\3\26\3\26\3\26\3\26\5\26\u012b\n\26\3"+
		"\26\3\26\5\26\u012f\n\26\3\26\3\26\3\26\3\26\5\26\u0135\n\26\3\26\3\26"+
		"\5\26\u0139\n\26\3\26\3\26\3\26\3\26\5\26\u013f\n\26\3\26\3\26\5\26\u0143"+
		"\n\26\3\26\3\26\5\26\u0147\n\26\3\26\2\27\2\4\6\b\n\f\16\20\22\24\26\30"+
		"\32\34\36 \"$&(*\2\3\3\3\"\"\u015c\2,\3\2\2\2\4:\3\2\2\2\6<\3\2\2\2\b"+
		"@\3\2\2\2\nD\3\2\2\2\fH\3\2\2\2\16R\3\2\2\2\20X\3\2\2\2\22c\3\2\2\2\24"+
		"z\3\2\2\2\26|\3\2\2\2\30\u0080\3\2\2\2\32\u0086\3\2\2\2\34\u0091\3\2\2"+
		"\2\36\u009f\3\2\2\2 \u00a1\3\2\2\2\"\u00b0\3\2\2\2$\u00bb\3\2\2\2&\u0111"+
		"\3\2\2\2(\u0113\3\2\2\2*\u0146\3\2\2\2,-\5\4\3\2-.\5\n\6\2.\60\5\30\r"+
		"\2/\61\5\"\22\2\60/\3\2\2\2\60\61\3\2\2\2\61\3\3\2\2\2\62\63\7\7\2\2\63"+
		"\64\5\6\4\2\64\65\b\3\1\2\65;\3\2\2\2\66\67\7\13\2\2\678\5\b\5\289\b\3"+
		"\1\29;\3\2\2\2:\62\3\2\2\2:\66\3\2\2\2;\5\3\2\2\2<=\7\21\2\2=>\7\37\2"+
		"\2>?\b\4\1\2?\7\3\2\2\2@A\7\4\2\2AB\7\37\2\2BC\b\5\1\2C\t\3\2\2\2DE\7"+
		"\35\2\2EF\5\f\7\2FG\b\6\1\2G\13\3\2\2\2HI\5\16\b\2IO\b\7\1\2JK\5\16\b"+
		"\2KL\b\7\1\2LN\3\2\2\2MJ\3\2\2\2NQ\3\2\2\2OM\3\2\2\2OP\3\2\2\2P\r\3\2"+
		"\2\2QO\3\2\2\2RS\7\35\2\2ST\7\25\2\2TU\5\20\t\2UV\7\27\2\2VW\b\b\1\2W"+
		"\17\3\2\2\2XY\5\22\n\2Y`\b\t\1\2Z[\7\22\2\2[\\\5\22\n\2\\]\b\t\1\2]_\3"+
		"\2\2\2^Z\3\2\2\2_b\3\2\2\2`^\3\2\2\2`a\3\2\2\2a\21\3\2\2\2b`\3\2\2\2c"+
		"e\5\24\13\2df\5\26\f\2ed\3\2\2\2ef\3\2\2\2fg\3\2\2\2gh\b\n\1\2h\23\3\2"+
		"\2\2ij\7\20\2\2jk\7\35\2\2k{\b\13\1\2lm\7\n\2\2mn\7\35\2\2n{\b\13\1\2"+
		"op\7\33\2\2pq\7\35\2\2q{\b\13\1\2rs\7\r\2\2st\7\35\2\2t{\b\13\1\2uv\7"+
		"\31\2\2vw\7\35\2\2w{\b\13\1\2xy\7\35\2\2y{\b\13\1\2zi\3\2\2\2zl\3\2\2"+
		"\2zo\3\2\2\2zr\3\2\2\2zu\3\2\2\2zx\3\2\2\2{\25\3\2\2\2|}\7\6\2\2}~\7\35"+
		"\2\2~\177\b\f\1\2\177\27\3\2\2\2\u0080\u0081\7\f\2\2\u0081\u0082\7\25"+
		"\2\2\u0082\u0083\5\32\16\2\u0083\u0084\7\27\2\2\u0084\u0085\b\r\1\2\u0085"+
		"\31\3\2\2\2\u0086\u0087\5\34\17\2\u0087\u008e\b\16\1\2\u0088\u0089\7\22"+
		"\2\2\u0089\u008a\5\34\17\2\u008a\u008b\b\16\1\2\u008b\u008d\3\2\2\2\u008c"+
		"\u0088\3\2\2\2\u008d\u0090\3\2\2\2\u008e\u008c\3\2\2\2\u008e\u008f\3\2"+
		"\2\2\u008f\33\3\2\2\2\u0090\u008e\3\2\2\2\u0091\u0093\5\36\20\2\u0092"+
		"\u0094\5 \21\2\u0093\u0092\3\2\2\2\u0093\u0094\3\2\2\2\u0094\u0095\3\2"+
		"\2\2\u0095\u0096\b\17\1\2\u0096\35\3\2\2\2\u0097\u0098\7\17\2\2\u0098"+
		"\u00a0\b\20\1\2\u0099\u009a\7\32\2\2\u009a\u00a0\b\20\1\2\u009b\u009c"+
		"\7\16\2\2\u009c\u00a0\b\20\1\2\u009d\u009e\7\23\2\2\u009e\u00a0\b\20\1"+
		"\2\u009f\u0097\3\2\2\2\u009f\u0099\3\2\2\2\u009f\u009b\3\2\2\2\u009f\u009d"+
		"\3\2\2\2\u00a0\37\3\2\2\2\u00a1\u00a2\7\26\2\2\u00a2\u00a3\7\35\2\2\u00a3"+
		"\u00a4\7\t\2\2\u00a4\u00ab\7\36\2\2\u00a5\u00a6\7\22\2\2\u00a6\u00a7\7"+
		"\35\2\2\u00a7\u00a8\7\t\2\2\u00a8\u00aa\7\36\2\2\u00a9\u00a5\3\2\2\2\u00aa"+
		"\u00ad\3\2\2\2\u00ab\u00a9\3\2\2\2\u00ab\u00ac\3\2\2\2\u00ac\u00ae\3\2"+
		"\2\2\u00ad\u00ab\3\2\2\2\u00ae\u00af\7\30\2\2\u00af!\3\2\2\2\u00b0\u00b1"+
		"\5$\23\2\u00b1\u00b8\b\22\1\2\u00b2\u00b3\7\"\2\2\u00b3\u00b4\5$\23\2"+
		"\u00b4\u00b5\b\22\1\2\u00b5\u00b7\3\2\2\2\u00b6\u00b2\3\2\2\2\u00b7\u00ba"+
		"\3\2\2\2\u00b8\u00b6\3\2\2\2\u00b8\u00b9\3\2\2\2\u00b9#\3\2\2\2\u00ba"+
		"\u00b8\3\2\2\2\u00bb\u00bc\7\34\2\2\u00bc\u00c0\7\35\2\2\u00bd\u00be\7"+
		"\3\2\2\u00be\u00bf\7\35\2\2\u00bf\u00c1\b\23\1\2\u00c0\u00bd\3\2\2\2\u00c0"+
		"\u00c1\3\2\2\2\u00c1\u00c2\3\2\2\2\u00c2\u00c3\7\"\2\2\u00c3\u00c7\b\23"+
		"\1\2\u00c4\u00c5\5&\24\2\u00c5\u00c6\t\2\2\2\u00c6\u00c8\3\2\2\2\u00c7"+
		"\u00c4\3\2\2\2\u00c8\u00c9\3\2\2\2\u00c9\u00c7\3\2\2\2\u00c9\u00ca\3\2"+
		"\2\2\u00ca%\3\2\2\2\u00cb\u00cc\7 \2\2\u00cc\u00ce\b\24\1\2\u00cd\u00cb"+
		"\3\2\2\2\u00ce\u00d1\3\2\2\2\u00cf\u00cd\3\2\2\2\u00cf\u00d0\3\2\2\2\u00d0"+
		"\u00d2\3\2\2\2\u00d1\u00cf\3\2\2\2\u00d2\u00d3\7\34\2\2\u00d3\u00d4\7"+
		"\35\2\2\u00d4\u00d5\7\"\2\2\u00d5\u00d9\b\24\1\2\u00d6\u00d7\5&\24\2\u00d7"+
		"\u00d8\t\2\2\2\u00d8\u00da\3\2\2\2\u00d9\u00d6\3\2\2\2\u00da\u00db\3\2"+
		"\2\2\u00db\u00d9\3\2\2\2\u00db\u00dc\3\2\2\2\u00dc\u0112\3\2\2\2\u00dd"+
		"\u00de\7 \2\2\u00de\u00e0\b\24\1\2\u00df\u00dd\3\2\2\2\u00e0\u00e3\3\2"+
		"\2\2\u00e1\u00df\3\2\2\2\u00e1\u00e2\3\2\2\2\u00e2\u00e4\3\2\2\2\u00e3"+
		"\u00e1\3\2\2\2\u00e4\u00e5\7\30\2\2\u00e5\u00e6\7\37\2\2\u00e6\u00e7\7"+
		"\24\2\2\u00e7\u00e8\5(\25\2\u00e8\u00e9\b\24\1\2\u00e9\u0112\3\2\2\2\u00ea"+
		"\u00eb\7 \2\2\u00eb\u00ed\b\24\1\2\u00ec\u00ea\3\2\2\2\u00ed\u00f0\3\2"+
		"\2\2\u00ee\u00ec\3\2\2\2\u00ee\u00ef\3\2\2\2\u00ef\u00f1\3\2\2\2\u00f0"+
		"\u00ee\3\2\2\2\u00f1\u00f2\7\30\2\2\u00f2\u00f3\7\35\2\2\u00f3\u00f4\7"+
		"\24\2\2\u00f4\u00f5\5(\25\2\u00f5\u00f6\b\24\1\2\u00f6\u0112\3\2\2\2\u00f7"+
		"\u00f8\7 \2\2\u00f8\u00fa\b\24\1\2\u00f9\u00f7\3\2\2\2\u00fa\u00fd\3\2"+
		"\2\2\u00fb\u00f9\3\2\2\2\u00fb\u00fc\3\2\2\2\u00fc\u00fe\3\2\2\2\u00fd"+
		"\u00fb\3\2\2\2\u00fe\u00ff\7\30\2\2\u00ff\u0100\7\37\2\2\u0100\u0101\7"+
		"\24\2\2\u0101\u0102\5*\26\2\u0102\u0103\b\24\1\2\u0103\u0112\3\2\2\2\u0104"+
		"\u0105\7 \2\2\u0105\u0107\b\24\1\2\u0106\u0104\3\2\2\2\u0107\u010a\3\2"+
		"\2\2\u0108\u0106\3\2\2\2\u0108\u0109\3\2\2\2\u0109\u010b\3\2\2\2\u010a"+
		"\u0108\3\2\2\2\u010b\u010c\7\30\2\2\u010c\u010d\7\35\2\2\u010d\u010e\7"+
		"\24\2\2\u010e\u010f\5*\26\2\u010f\u0110\b\24\1\2\u0110\u0112\3\2\2\2\u0111"+
		"\u00cf\3\2\2\2\u0111\u00e1\3\2\2\2\u0111\u00ee\3\2\2\2\u0111\u00fb\3\2"+
		"\2\2\u0111\u0108\3\2\2\2\u0112\'\3\2\2\2\u0113\u0114\7\5\2\2\u0114\u0119"+
		"\7\37\2\2\u0115\u0116\7\22\2\2\u0116\u0118\7\37\2\2\u0117\u0115\3\2\2"+
		"\2\u0118\u011b\3\2\2\2\u0119\u0117\3\2\2\2\u0119\u011a\3\2\2\2\u011a\u011c"+
		"\3\2\2\2\u011b\u0119\3\2\2\2\u011c\u011d\7\b\2\2\u011d)\3\2\2\2\u011e"+
		"\u0120\7\27\2\2\u011f\u0121\7\36\2\2\u0120\u011f\3\2\2\2\u0120\u0121\3"+
		"\2\2\2\u0121\u0122\3\2\2\2\u0122\u0124\7\22\2\2\u0123\u0125\7\36\2\2\u0124"+
		"\u0123\3\2\2\2\u0124\u0125\3\2\2\2\u0125\u0126\3\2\2\2\u0126\u0127\7\25"+
		"\2\2\u0127\u0147\b\26\1\2\u0128\u012a\7\27\2\2\u0129\u012b\7\36\2\2\u012a"+
		"\u0129\3\2\2\2\u012a\u012b\3\2\2\2\u012b\u012c\3\2\2\2\u012c\u012e\7\22"+
		"\2\2\u012d\u012f\7\36\2\2\u012e\u012d\3\2\2\2\u012e\u012f\3\2\2\2\u012f"+
		"\u0130\3\2\2\2\u0130\u0131\7\27\2\2\u0131\u0147\b\26\1\2\u0132\u0134\7"+
		"\25\2\2\u0133\u0135\7\36\2\2\u0134\u0133\3\2\2\2\u0134\u0135\3\2\2\2\u0135"+
		"\u0136\3\2\2\2\u0136\u0138\7\22\2\2\u0137\u0139\7\36\2\2\u0138\u0137\3"+
		"\2\2\2\u0138\u0139\3\2\2\2\u0139\u013a\3\2\2\2\u013a\u013b\7\25\2\2\u013b"+
		"\u0147\b\26\1\2\u013c\u013e\7\25\2\2\u013d\u013f\7\36\2\2\u013e\u013d"+
		"\3\2\2\2\u013e\u013f\3\2\2\2\u013f\u0140\3\2\2\2\u0140\u0142\7\22\2\2"+
		"\u0141\u0143\7\36\2\2\u0142\u0141\3\2\2\2\u0142\u0143\3\2\2\2\u0143\u0144"+
		"\3\2\2\2\u0144\u0145\7\27\2\2\u0145\u0147\b\26\1\2\u0146\u011e\3\2\2\2"+
		"\u0146\u0128\3\2\2\2\u0146\u0132\3\2\2\2\u0146\u013c\3\2\2\2\u0147+\3"+
		"\2\2\2 \60:O`ez\u008e\u0093\u009f\u00ab\u00b8\u00c0\u00c9\u00cf\u00db"+
		"\u00e1\u00ee\u00fb\u0108\u0111\u0119\u0120\u0124\u012a\u012e\u0134\u0138"+
		"\u013e\u0142\u0146";
	public static final ATN _ATN =
		ATNSimulator.deserialize(_serializedATN.toCharArray());
	static {
		_decisionToDFA = new DFA[_ATN.getNumberOfDecisions()];
		for (int i = 0; i < _ATN.getNumberOfDecisions(); i++) {
			_decisionToDFA[i] = new DFA(_ATN.getDecisionState(i), i);
		}
	}
}