import { TreeData } from './tree-data.model';

export class Tree {
    title: string;
    data: TreeData[];

    constructor() {
        this.data = [];
    }

    static mapToTrees(generalizations: any[]) {
        const trees = [];

        generalizations.forEach(generalization => {
            trees.push(Tree.mapToTree(generalization));
        });

        return trees;
    }

    private static mapToTree(generalization: any) {
        const tree = new Tree();
        tree.title = generalization.title;
        tree.data = TreeData.mapToTreeDatas(generalization.data);

        return tree;
    }
}
